iphone 4.3 apps on iphone 3g

enigma2118

macrumors regular
Original poster
Jan 7, 2006
108
1
Hi there, really quick question, cause i find it hard to find some info to be sure:

is there a way to install apps on the iPhone 3g that require iOS 4.3 ?

I know there is a jailbreak that installs a 4.3-ish iOS on the iPhone 3g, but will that let you install apps that require iOS 4.3?

is there a way to force install iOS 4.3 on the iPhone 3g?

thank you so much everyone!
 

Intell

macrumors P6
Jan 24, 2010
18,901
416
Inside
If an app says 4.3, it'll only run on 4.3 and above. The app likely calls upon APIs that are not available in older iOS versions. Calling upon one of those APIs will crash the app and in some cases, cause the iDevice to reboot.
 

enigma2118

macrumors regular
Original poster
Jan 7, 2006
108
1
Yes indeed

Hey Intell,

Thanks for the quick reply. Yup, indeed that is true. And I do know how to edit the app to accept a lower iOS version, but as you said, even with an edited app, the iOS itself will not have the correct API's, so it will probably crash.

But I am wondering if there is a way to force install iOS 4.3 onto an iPhone 3g (via jailbreaking of course) so that the iPhone 3g will have a true iOS 4.3 and thus the correct APIs and thus really be able to run apps that require iOS 4.3

the app I want to run is the NBC.com app so that I can stream videos from that app to my TV (via the apple HDMI cable) with the TVOUT2 Mirroring jailbreak extension.

Thanks again to anyone who can help with this.

Just trying to reduce the cable bill ;-)
 

Intell

macrumors P6
Jan 24, 2010
18,901
416
Inside
There is no way to force 4.3 onto an iPhone 3G. The iPhone 3G has an ARM6 CPU, but iOS 4.3 has only been released as an ARM7 build.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.